// File generated by FlutterFire CLI.
// ignore_for_file: type=lint
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        return windows;
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyB2Ewq_nzFrQ2TcpSCuGYhLZH6HWIkX5fc',
    appId: '1:627436825464:web:b83f1e5331e0975025368d',
    messagingSenderId: '627436825464',
    projectId: 'pushdemo-f54bc',
    authDomain: 'pushdemo-f54bc.firebaseapp.com',
    storageBucket: 'pushdemo-f54bc.appspot.com',
    measurementId: 'G-Z3H15XL578',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyAk5u-tbdz_AVdAgL8186jmMPns2s94aaY',
    appId: '1:627436825464:android:d69f0b33bf15f23225368d',
    messagingSenderId: '627436825464',
    projectId: 'pushdemo-f54bc',
    storageBucket: 'pushdemo-f54bc.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCx-yk0VVwC0BQNQXxPVvjIm8tjP6Jl_tk',
    appId: '1:627436825464:ios:74119f287a88c7fb25368d',
    messagingSenderId: '627436825464',
    projectId: 'pushdemo-f54bc',
    storageBucket: 'pushdemo-f54bc.appspot.com',
    iosBundleId: 'com.example.push.demo',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyCx-yk0VVwC0BQNQXxPVvjIm8tjP6Jl_tk',
    appId: '1:627436825464:ios:74119f287a88c7fb25368d',
    messagingSenderId: '627436825464',
    projectId: 'pushdemo-f54bc',
    storageBucket: 'pushdemo-f54bc.appspot.com',
    iosBundleId: 'com.example.push.demo',
  );

  static const FirebaseOptions windows = FirebaseOptions(
    apiKey: 'AIzaSyB2Ewq_nzFrQ2TcpSCuGYhLZH6HWIkX5fc',
    appId: '1:627436825464:web:cdbb72578ec5491f25368d',
    messagingSenderId: '627436825464',
    projectId: 'pushdemo-f54bc',
    authDomain: 'pushdemo-f54bc.firebaseapp.com',
    storageBucket: 'pushdemo-f54bc.appspot.com',
    measurementId: 'G-3Y4YG2C99S',
  );
}
